### Function

# Gimp pattern_get_pixels

#### Declaration [src]

    gboolean
    gimp_pattern_get_pixels (
      const gchar* name,
      gint* width,
      gint* height,
      gint* bpp,
      gint* num_color_bytes,
      guint8** color_bytes
    )

#### Description [src]

Retrieve information about the specified pattern (including pixels).

This procedure retrieves information about the specified. This includes the pattern extents (width and height), its bpp and its pixel data.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The pattern name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint*`
| The pattern width.
| The argument will be set by the function.
`height` | `gint*`
| The pattern height.
| The argument will be set by the function.
`bpp` | `gint*`
| The pattern bpp.
| The argument will be set by the function.
`num_color_bytes` | `gint*`
| Number of pattern bytes.
| The argument will be set by the function.
`color_bytes` | An array of `guint8`
| The pattern data.
| The argument will be set by the function.
| The length of the array is specified in the `num_color_bytes` argument.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| TRUE on success.